Page MenuHomeFreeBSD

Drop FreeBSD 10.3 support
ClosedPublic

Authored by jbeich on Apr 30 2018, 2:36 PM.

Details

Reviewers
rene
cpm
brooks
yuri
sunpoet
Group Reviewers
portmgr
O5: Ports Framework(Owns No Changed Paths)
Commits
rP469338: Drop FreeBSD 10.3 support
Summary

10.3 reaches EOL on 2018-04-30. After that maintainers are free to remove 10.3 support in their ports. To warn users let's bump required version and maybe clean up the tree in a single atomic commit.

The next package cluster build starts on 2018-05-01 01:00 UTC, anyway.

Diff Detail

Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 16369
Build 16297: arc lint + arc unit

Event Timeline

jbeich created this revision.Apr 30 2018, 2:36 PM
rene accepted this revision.Apr 30 2018, 2:58 PM
rene added a subscriber: rene.

Once the official mail that FreeBSD 10.3 is no longer supported has been sent out.

This revision is now accepted and ready to land.Apr 30 2018, 2:58 PM
yuri added a comment.Apr 30 2018, 3:55 PM

math/SoPlex/Makefile has the condition <11, and there is still 10.4 that is supported until October 31, 2018. So should such .ifs be kept?

In D15238#321311, @yuri wrote:

math/SoPlex/Makefile has the condition <11, and there is still 10.4 that is supported until October 31, 2018. So should such .ifs be kept?

FreeBSD 10.4 does support __cxa_thread_atexit() which is required by C++11 thread_local. See rS304527 or build log.

yuri added a comment.Apr 30 2018, 4:48 PM

FreeBSD 10.4 does support __cxa_thread_atexit() which is required by C++11 thread_local. See rS304527 or build log.

Okay then.

jbeich updated this revision to Diff 42030.May 1 2018, 2:13 PM
jbeich added subscribers: cpm, kevans, feld.
  • Clean up in more ports
In D15238#321288, @rene wrote:

Once the official mail that FreeBSD 10.3 is no longer supported has been sent out.

Package build for 10.4 i386/amd64 has started ~13 hours ago. Once it finishes (~30 hours more) 10.3 packages would disappear unless portmgr intervenes to delay until the announcement is made. Without automation ports may accidentally break on 10.3.

This revision now requires review to proceed.May 1 2018, 2:13 PM
jbeich updated this revision to Diff 42031.May 1 2018, 2:27 PM
jbeich added a subscriber: tijl.
  • Cleanup emulators/linux_base-c{6,7}
sunpoet added inline comments.May 1 2018, 2:42 PM
www/nghttp2/Makefile
61–62

This can be removed together. Thanks!

jbeich marked an inline comment as done.May 1 2018, 2:54 PM
jbeich updated this revision to Diff 42032.May 1 2018, 2:54 PM
  • www/nghttp2: drop no longer necessary .include
tijl added a comment.May 1 2018, 2:56 PM

Ok for linux_base. I probably added the comment thinking 10.3 EoL would also be 10 EoL though.

There are commands in devel/dbus/pkg-plist and devel/dbus/files/dbus.in that can be removed as well.

jbeich updated this revision to Diff 42036.May 1 2018, 3:56 PM
jbeich removed a subscriber: tijl.
In D15238#321528, @tijl wrote:

Ok for linux_base. I probably added the comment thinking 10.3 EoL would also be 10 EoL though.

Thanks for review but I'm dropping changes to emulators/linux_base*. The scope here is limited to 10.3 support.

jbeich added a comment.May 1 2018, 4:06 PM

portmgr, maybe this should land now, so you can point (via the announcement) at a particular commit where things will start breaking for 10.3 users.

cpm requested changes to this revision.May 1 2018, 5:55 PM
cpm added inline comments.
www/chromium/Makefile
214–215

We can drop this line too and rename extra-patch-libc++-new to patch-tools_gn_bootstrap_bootstrap.py

This revision now requires changes to proceed.May 1 2018, 5:55 PM
jbeich updated this revision to Diff 42050.May 1 2018, 6:51 PM
  • www/chromium: flatten libc++ extra patch
jbeich marked an inline comment as done.May 1 2018, 6:51 PM
cpm accepted this revision.May 1 2018, 7:12 PM
This revision is now accepted and ready to land.May 1 2018, 7:12 PM
brooks accepted this revision.May 1 2018, 10:58 PM

Fine for the LLVM ports.

yuri accepted this revision.May 2 2018, 2:07 AM
rene accepted this revision.May 2 2018, 3:15 PM
sunpoet accepted this revision.May 2 2018, 4:37 PM
jbeich added a comment.May 7 2018, 4:40 PM
In D15238#321288, @rene wrote:

Once the official mail that FreeBSD 10.3 is no longer supported has been sent out.

rP468843, rP469291, rP469292, rP469293 landed but 10.3 EOL has yet to be announced. EOL dates are set by secteam but the (generic) support in ports/ is maintained by portmgr. Can you document if any EOL-extending policies exist or why the support for FreeBSD releases cannot removed immediately after EOL? Stop hiding behind secteam.

This was supposed to be an atomic change, easy to revert by users stuck on 10.3 for any reson.

rene added a comment.May 7 2018, 5:24 PM
In D15238#321288, @rene wrote:

Once the official mail that FreeBSD 10.3 is no longer supported has been sent out.

rP468843, rP469291, rP469292, rP469293 landed but 10.3 EOL has yet to be announced. EOL dates are set by secteam but the (generic) support in ports/ is maintained by portmgr. Can you document if any EOL-extending policies exist or why the support for FreeBSD releases cannot removed immediately after EOL? Stop hiding behind secteam.
This was supposed to be an atomic change, easy to revert by users stuck on 10.3 for any reson.

Nobody from portmgr objected, so it is fine to commit. Traditionally an EOL would be sent out, but perhaps that stopped for some reason.

brooks added a comment.May 7 2018, 5:26 PM

It's worth noting that 10.3 is not listed on the supported releases page so e-mail or no e-mail it's not supported.

This revision was automatically updated to reflect the committed changes.